# File.h file

A file.

## Namespaces

namespace Namee
  Namespace docs.
namespace Foo
  A namespace.
namespace Eno
  A namespace.
namespace Type
  A namespace.
namespace Var
  A namespace.
namespace Warning
  A namespace.

## Classes

template<class T, class U = void, class = int>
struct Template
  Class with template parameters.
template<>
struct Template<void>
  Specialized class template.
template<class T>
struct TemplateWarning
  Class with wrong template parameter description.

## Defines

#define A_DEFINE
  A define.
#define A_MACRO()
  A macro.
#define MACRO(foo, bar)
  Macro with parameters.

## Define documentation

### #define A_DEFINE

A define.

Details.

### #define A_MACRO()

A macro.

Returns | Hahah. Nothing.

### #define MACRO(foo, bar)

Macro with parameters.

Parameters
foo | Foo to bar
bar | Bar to foo

Details? No.